export type MediaItem = {
  id: number
  filename: string
  media_type: string
  media_order?: number
}

export type ArticleItem = {
  id: number
  heading: string
  body: string
}

export type FieldType<T> = {
  label: string
  data: keyof T
  render?: (value: any) => React.ReactNode
}

export const articleFields: Array<FieldType<ArticleItem>> = [
  {label: 'Заголовок', data: 'heading'},
  {label: 'Контент', data: 'body'},
]

export const mediaFields: Array<FieldType<MediaItem>> = [
  {label: 'Имя', data: 'filename'},
  {label: 'Тип', data: 'media_type'},
]
