import React from 'react'

export type StationItem = {
  id: number
  name: string
  description: string
  latitude: number
  longitude: number
  [key: string]: string | number
}

export type SightItem = {
  id: number
  name: string
  latitude: number
  longitude: number
  city_id: number
  city: string
  [key: string]: string | number
}

export type FieldType<T> = {
  label: string
  data: keyof T
  render?: (value: any) => React.ReactNode
}

export const stationFields: Array<FieldType<StationItem>> = [
  // {label: 'ID', data: 'id'},
  {label: 'Название', data: 'name'},
  // {label: 'Широта', data: 'latitude'},
  // {label: 'Долгота', data: 'longitude'},
  {label: 'Описание', data: 'description'},
]

export const sightFields: Array<FieldType<SightItem>> = [
  // {label: 'ID', data: 'id'},
  {label: 'Название', data: 'name'},
  // {label: 'Широта', data: 'latitude'},
  // {label: 'Долгота', data: 'longitude'},
  // {label: 'ID города', data: 'city_id'},
  {label: 'Город', data: 'city'},
]